> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get chat

> Returns a thread that the current customer has access to in a given chat.



## OpenAPI

````yaml /api/customer-chat/v3.6/openapi.json post /action/get_chat
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/get_chat:
    post:
      tags:
        - Chats
      summary: Get chat
      description: >-
        Returns a thread that the current customer has access to in a given
        chat.
      operationId: get-chat
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetChatRequest'
            example:
              chat_id: PJ0MRSHTDG
              thread_id: K600PKZON8
      responses:
        '200':
          description: Chat.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Chat'
              example:
                id: PJ0MRSHTDG
                thread:
                  id: K600PKZON8
                  created_at: '2026-06-07T07:11:28.288340Z'
                  active: true
                  user_ids:
                    - b7eff798-f8df-4364-8059-649c35c9ed0c
                    - b5657aff34dd32e198160d54666df9d8
                  events:
                    - id: Q20N9CKRX2_1
                      created_at: '2026-06-17T07:57:41.512000Z'
                      type: message
                      text: Hello
                      author_id: b5657aff34dd32e198160d54666df9d8
                  properties:
                    0805e283233042b37f460ed8fbf22160:
                      string_property: string_value
                  access:
                    group_ids:
                      - 0
                  previous_thread_id: K600PKZOM8
                  next_thread_id: K600PKZOO8
                users:
                  - id: b7eff798-f8df-4364-8059-649c35c9ed0c
                    type: customer
                    present: true
                  - id: b5657aff34dd32e198160d54666df9d8
                    name: Agent Smith
                    type: agent
                    present: true
                    avatar: https://example.com/avatar.jpg
                    job_title: Support Agent
                access:
                  group_ids:
                    - 0
                properties:
                  0805e283233042b37f460ed8fbf22160:
                    string_property: string_value
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    GetChatRequest:
      type: object
      required:
        - chat_id
      properties:
        chat_id:
          type: string
          description: The chat ID.
        thread_id:
          type: string
          description: 'The thread ID. Default: the latest thread (if exists).'
    Chat:
      type: object
      description: '[Full chat object](/api/customer-chat/v3.6/data-structures#chats).'
      properties:
        id:
          type: string
          description: The chat ID.
        thread:
          $ref: '#/components/schemas/Thread'
        users:
          type: array
          items:
            type: object
            additionalProperties: true
          description: The chat users.
        access:
          $ref: '#/components/schemas/Access'
        properties:
          $ref: '#/components/schemas/Properties'
    Thread:
      type: object
      description: '[Thread object](/api/customer-chat/v3.6/data-structures#threads).'
      properties:
        id:
          type: string
          description: The thread ID.
        created_at:
          type: string
          description: The date and time in UTC.
        active:
          type: boolean
          description: 'If `true`: the thread is active.'
        user_ids:
          type: array
          items:
            type: string
          description: The IDs of users present in the thread.
        events:
          type: array
          items:
            type: object
            additionalProperties: true
          description: The thread events.
        properties:
          $ref: '#/components/schemas/Properties'
        access:
          $ref: '#/components/schemas/Access'
        previous_thread_id:
          type: string
          description: The ID of the preceding thread.
        next_thread_id:
          type: string
          description: The ID of the following thread.
        queue:
          type: object
          description: Queue position. Present only if the chat is in the queue.
          properties:
            position:
              type: integer
            wait_time:
              type: integer
            queued_at:
              type: string
    Access:
      type: object
      properties:
        group_ids:
          type: array
          items:
            type: integer
          description: The group IDs. `0` means all agents can see it.
    Properties:
      type: object
      additionalProperties: true
      description: Properties object.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````